/*****************************************************************************/
/*                                                                           */
/*  Hyperpanel OS                       File "include/hypos.h"               */
/*                                                                           */
/*  Author : JYA                        Last modification : 06/28/2023       */
/*                                                                           */
/*  (c) Copyright Hyperpanel Lab, All Rights Reserved                        */
/*  IDDN.FR.001.320001.*.S.P.1990.000.10000                                  */
/*                                                                           */
/*  Note : This file is ONLY intended for user applicative software. It      */
/*         must NEVER be used with the OS source code                        */
/*****************************************************************************/


#include <stdtyp.l>                    /* HyperPanel definitions & constants.*/
#include <aut.l>                       /* FSM constantes                     */
#include <event.l>                     /* VMK and VMIO internal events       */
                                       /*                                    */
#include <aut.h>                       /* FSM structures and typedef         */
#include <board.h>                     /* VMIO structures (Tlcm_desc)        */
#include <vmit.h>                      /* Hard Real-time functions           */
#include <vmio.h>                      /* Vmio_desc                          */
#include <vmk.h>                       /* vmk.c and vmio.c interface         */
#include <drv.h>                       /* drv.c interface                    */
#include <vmk_tim.h>                   /* tim_get()                          */
#include <mem_user.h>                  /* alloc_memuid()                     */
#include <mem_buf.h>                   /* alloc_buf()                        */
                                       /*                                    */
#include <text.h>                      /* Prototype hsprintf().              */
#include <telecom.h>                   /* Constants and definitions for tags.*/
#include <keycode.h>                   /* Key codes from RCU and keyboards   */
                                       /*                                    */
#include <req_lib.h>                   /* Needed by drivers interfaces       */
#include <signal_vmit.h>               /* GPIO_xyz                           */
                                       /*                                    */
#include <systemm.txt>                 /* WAIT_CODERES                       */
#include <vmkm.txt>                    /* TSK_INIT_DATA TASK_INIT_BSS        */

